@import 'src/components/rem';

.base {
    position: relative;
}

.input {
    display: grid;
    grid-template-columns: rem(140px) rem(242px);
    grid-column-gap: rem(16px);
    width: 100%;

    label {
        justify-self: flex-end;
    }

    * {
        align-self: center;
    }

    span {
        grid-column: 2/3;
    }

    div {
        max-width: rem(242px);
    }
}

.inn {
    display: inline-flex;
    align-items: center;

    div {
        margin: 0;
    }

    .input {
        margin-right: rem(16px);
    }
}

.results {
    max-width: rem(414px);
    width: 100%;
    position: absolute;
    top: rem(44px);
    left: rem(156px);
    z-index: 10;
    overflow: hidden;


    background: var(--color-white);
    box-shadow: var(--small-shadow);
    border-radius: rem(4px);
}

.result {
    padding: rem(8px) rem(16px);
    cursor: pointer;

    &:hover {
        background-color: var(--btn-blue-700);
        color: var(--color-white);
    }
}

@media screen and (max-width: 769px) {
    .input {
        display: block;
    }
}
